#include<bits/stdc++.h>
using namespace std;
int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    long long t, x1, y1, x2, y2, a, b;
    cin >> t;
    for(int i = 0; i < t; i++){
        cin >> x1 >> y1 >> x2 >> y2 >> a >> b;
        long long a1 = max(x1,x2)-min(x1,x2);
        long long b1 = max(y1,y2)-min(y1,y2);
        long long ans = (a+1-a1)*(b+1-b1);
        if(ans < 0) ans = 0;
        cout << ans << "\n";
    }

    return 0;
}

